#pragma once

#include <stdint.h>

namespace util {

	class Ceroptions;
	class IView;

	class ICertificate {
	public:
		virtual ~ICertificate() = default;

		// 获取与硬件相关的标识
		virtual void GetMachineCode(char* code, uint16_t len) = 0;

		// 生成证书
		virtual void CreateCertificate(Ceroptions* op) = 0;

		// 验证证书
		virtual bool Verification(const char* lic) = 0;

		// 配置视图程序
		virtual void PushView(const IView* ) = 0;
	};
}